using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace Com.FirmLib.UI.Common
{
    public class CommonStyles
    {
        static CommonStyles()
        {
            StarLableKey = new ComponentResourceKey(typeof(CommonStyles), "StarLable");
            TextBoxKey = new ComponentResourceKey(typeof(CommonStyles), "TextBox");
            ButtonKey = new ComponentResourceKey(typeof(CommonStyles), "Button");
            GroupBoxKey = new ComponentResourceKey(typeof(CommonStyles), "GroupBox");
            LinkButtonKey = new ComponentResourceKey(typeof(CommonStyles), "LinkButton");
            ComboBoxKey = new ComponentResourceKey(typeof(CommonStyles), "ComboBox");
            DataGridCellKey = new ComponentResourceKey(typeof(CommonStyles), "DataGridCell");
            ControlKey = new ComponentResourceKey(typeof(CommonStyles), nameof(ControlKey));
        }
        public static ResourceKey StarLableKey { get; private set; }
        public static ResourceKey TextBoxKey { get; private set; }
        public static ResourceKey ButtonKey { get; private set; }
        public static ResourceKey GroupBoxKey { get; private set; }
        public static ResourceKey LinkButtonKey { get; private set; }

        public static ResourceKey ComboBoxKey { get; private set; }

        public static ResourceKey DataGridCellKey { get; private set; }

        public static ResourceKey ControlKey { get; private set; }
    }
}
